Description

once the type converter registry is fully functional

Associated revisions
Revision 53bc138b - 09/16/2010 12:56 PM - J. Wienke

Initial try to base converter selection on rsc registry

references #106

History
#1 - 08/31/2010 10:37 PM - S. Wrede
- Priority changed from Normal to High

#2 - 09/01/2010 01:47 PM - J. Wienke

Registry is moved to rsc now.

#3 - 09/11/2010 12:01 PM - S. Wrede
- Status changed from New to In Progress
- % Done changed from 0 to 30

Removed AL dependant code from core library.

#4 - 09/11/2010 12:01 PM - S. Wrede
- File mylyn-context.zip added

#5 - 09/11/2010 12:06 PM - J. Wienke

Do you plan to use Registry<Converter<targetType> > for this? I just implemented something similar in python that could be suitable with a global
registry that is passed into the ports as a default but can be exchanged.

#6 - 09/12/2010 11:13 PM - S. Wrede
- % Done changed from 30 to 70

#7 - 09/12/2010 11:19 PM - S. Wrede
I just started a new library for Nao types and extensions. Initially, it contains now the ALImageConverter. It is available under NAO Components at 
http://code.cor-lab.org. However, to become functional, it still needs reintegration with RSB through the finished registry for user types.

#8 - 09/16/2010 12:59 PM - J. Wienke

Added registry in r93, Aldebaran converter still needs to be ported to this system.

#9 - 11/10/2010 08:10 PM - J. Wienke
- Status changed from In Progress to Resolved

Integration with registry was done

#10 - 07/20/2011 01:54 PM - S. Wrede
- Status changed from Resolved to Feedback

We need to discuss how deploy NAO specific converters to our partners and how this relates to the IDL specification collection in RST. Once this
packaging and update to the 0.3 or 0.4 RSB version is done, we should deploy this internally and to CTU for testing.

#11 - 09/01/2011 06:59 PM - J. Wienke

This is done since a long time? Am I right?

#12 - 09/01/2011 08:51 PM - S. Wrede

Sure, generally this is done with the RSB converter registry concept and the NaoRSB components at code.humavips.eu as well as the wiretypes
defined in the RST project.

Just one issue / observation: Do we still rely somewhere on the RSBImageConverter:
https://code.humavips.eu/projects/naorsb/repository/show/trunk/RSBImageConverter

IIRC in RSBVideoSender also still exists a copy of ALImageConverter...

The question remains where to collect re-usable converter code such as the ALImageConverter. Shall they become part of an NaoRSB-base library
containing the NaoQi-dependent but re-usable parts of the NaoRSB project?

#13 - 09/01/2011 08:55 PM - J. Wienke

Maybe it is still used for one of the old demos like summerschool or IK, but apart from that this is deprecated. Everything else uses the RST-based
converter.

For the collection of converters we have created a folder in the RST svn as a first step.

#14 - 09/01/2011 09:06 PM - S. Wrede
OK. Didn't notice the converter folder in RST so far. However, wouldn't that tie the RST library to all the domain-specific dependencies like NaoQi?!?

So, why not introduce a NaoRSB-base library?

#15 - 09/01/2011 09:08 PM - J. Wienke

There's no build logic at all for the converters. Have a look at the wiki there. There's a description of the intended use.

#16 - 09/01/2011 09:22 PM - S. Wrede

Thx. I'd still argue to put that into domain-specific libraries but as a start it sounds reasonable. Did we announce this wiki page in the TF-M / RSB
meeting or at the mailing list? I find it quite important.

#17 - 09/01/2011 09:24 PM - S. Wrede
- % Done changed from 70 to 100

BTW: Apart from the more general aspects in it, the issue can be set to resolved...

#18 - 09/01/2011 09:55 PM - J. Wienke
- Status changed from Feedback to Closed

I can't remember if this happened.

Files
mylyn-context.zip 79.6 KB 09/11/2010 S. Wrede
